FreePBX | Register | Issues | Wiki | Portal | Support

Asterisk 14 & Freepbx 14 on debian stretch - missing /var/lib/asterisk/bin

configuration
Tags: #<Tag:0x00007f74a9cfd9b8>

(Ben) #1

I realize this may be an asterisk installation issue. I have already posted this question on the asterisk forums. But I wish to cover my bets and ensure that it is not a freepbx issue.

Fresh install of asterisk 14 and Freepbx 14 succeeds without errors but it does not install binaries.

Actually the directory ‘/var/lib/asterisk/bin’ is not installed at all. After installing and reinstalling many times from source and wasting a week it remains an issue. I’ve read some place that there may be a bug that ignores or silently hides an error during installation.

Asterisk does start and run. I can also access it this way ‘asterisk -rvvv’.

Could this be a asterisk issue? probably because I’m under the impression that fwconsole and other binaries are installed by the asterisk installation. If nothing else, confirm for me that this is an asterisk issue.

System Info -
Debian: 9.1 Stretch (x86_64)
php: 7.1.8
mysql: 14.14 dist 5.7.19
apache2: Server version: Apache/2.4.25 (Debian), Server built: 2017-07-18T18:37:33

directory structure after successful install: /var/lib/asterisk# l
total 48
drwxr-xr-x 2 root root 4096 Aug 17 16:58 agi-bin
drwxr-xr-x 3 root root 4096 Aug 17 16:58 documentation
drwxr-xr-x 3 root root 4096 Aug 17 16:58 firmware
drwxr-xr-x 2 root root 4096 Aug 17 16:58 images
drwxr-xr-x 2 root root 4096 Aug 17 16:58 keys
drwxr-xr-x 2 root root 4096 Aug 17 16:58 moh
drwxr-xr-x 2 root root 4096 Aug 17 17:01 phoneprov
drwxr-xr-x 2 root root 4096 Aug 17 16:58 rest-api
drwxr-xr-x 2 root root 4096 Aug 17 16:58 scripts
drwxr-xr-x 3 root root 4096 Aug 17 16:58 sounds
drwxr-xr-x 2 root root 4096 Aug 17 16:58 static-http
drwxr-xr-x 3 root root 4096 Aug 17 16:58 third-party
mybox:/var/lib/asterisk#

Followed installation instructions:
here: https://wiki.asterisk.org/wiki/display/AST/Installing+Asterisk+From+Source (success no bin directory)
and here: http://www.francoconidi.it/asterisk-14-freepbx-14-su-debian-stretch-9-1/ (success no bin directory)

compiled with the --with-pjproject-bundled

All comments and help are welcomed. Perhaps this is something very simple that I’m overlooking after staring at this for a week.

Sincerely,
Ben


(Ben) #2

So the asterisk forums confirmed that my issue is freepbx related.

Making the following change to my freepbx.conf:
"//Turn off FreePBX Error Handling
$bootstrap_settings[‘freepbx_error_handler’] = false;"

I get this error:
[Symfony\Component\Debug\Exception\FatalThrowableError] Cannot use string offset as an array

This means that freepbx doesn’t support php 7.1 due to how php7.1 handles arrays and strings. Researching it further on these forum it is clear that freepbx is actually PHP 5.6 based and will remain so for sometime.

Next step? I will be installing php5.6 and supporting libraries and will note my resolution so that perhaps others may benefit.

-Ben


(Marbled) #3

Hi,

You did not need the Asterisk forums to know that, it has been said multiple times (and even recently) here as well…

As said in this thread (starting from this post down), you can report problems with PHP 7 but it will take quite a while before it is supported.

The FreePBX devs are fully able to make their code PHP 7 compatible, the problem is definitely not there. The problem is a dependency, for commercial modules, to something which is no longer supported for PHP 7… There’s a big difference…

They have to find a suitable replacement before even considering going to PHP 7…

Have a nice day,

Nick


(Ben) #4

Nick, I definitely took the long road to this conclusion. A great deal of my effort was searching for the wrong data and making the wrong assumptions including not even considering that it was a PHP issue and searching for the specific errors I was getting didn’t lead me here. Lessons learned.

Thanks for confirming and setting me on the right path.

Cheers!
-Ben


(Marbled) #5

No problem…

By the way, Symfony, assuming it refers to iSymfony is not developed by them, it’s developed by a third party… If there was anything to fix in there it would have to be done by that third party I believe…

I personally uninstalled it because I got fed up with the deprecation warnings it was throwing in the logs (it’s apparently using some deprecated FreePBX functions…).

Have a nice day!

Nick


(Lorne Gaetz) #6

Different things. Symfony is a php framework.


Unable to access CDR
(Marbled) #7

Hi Lorne!

:blush:

Sorry, PHP is not something I had much chance to play with… I would have liked to but never truly got the chance…

Have a nice day!

Nick


(Andrew Nagy) #8

And on what Lorne said if you renoved symfony from freepbx then freepbx would crash.


(Marbled) #9

Hi Andrew!

I definitely understood that (I am a programmer) but you are right, not everyone reading this thread might realize you can’t remove the Symphony framework from FreePBX…

I was talking, mistakenly, of the iSymphony module

Have a nice day!

Nick


#10

My 2 cents to this issue.
It is working for me with the help of some member of the forum and these two links:
(1) https://stackoverflow.com/questions/35830006/php7-and-php5-on-fedora-at-the-same-time
(2) https://blog.remirepo.net/post/2016/04/16/My-PHP-Workstation
It can be overcome using a lower php version!

Regards

Mardos